define(["three"],function(THREE){return function(manager){this.manager=void 0!==manager?manager:THREE.DefaultLoadingManager,this.propertyNameMapping={},this.load=function(url,onLoad,onProgress,onError){var scope=this,loader=new THREE.FileLoader(this.manager);loader.setResponseType("arraybuffer"),loader.load(url,function(text){onLoad(scope.parse(text))},onProgress,onError)},this.setPropertyNameMapping=function(mapping){this.propertyNameMapping=mapping},this.parse=function(data){function parseHeader(result){var headerText="",headerLength=0,result=/ply([\s\S]*)end_header\s/.exec(result);null!==result&&(headerText=result[1],headerLength=result[0].length);var currentElement,lineType,lineValues,header={comments:[],elements:[],headerLength:headerLength},lines=headerText.split("\n");for(var propertValues,propertyNameMapping,property,i=0;i<lines.length;i++){var line=lines[i];if(""!==(line=line.trim()))switch(lineType=(lineValues=line.split(/\s+/)).shift(),line=lineValues.join(" "),lineType){case"format":header.format=lineValues[0],header.version=lineValues[1];break;case"comment":header.comments.push(line);break;case"element":void 0!==currentElement&&header.elements.push(currentElement),(currentElement={}).name=lineValues[0],currentElement.count=parseInt(lineValues[1]),currentElement.properties=[];break;case"property":currentElement.properties.push((propertValues=lineValues,propertyNameMapping=scope.propertyNameMapping,property=void 0,"list"===(property={type:propertValues[0]}).type?(property.name=propertValues[3],property.countType=propertValues[1],property.itemType=propertValues[2]):property.name=propertValues[1],property.name in propertyNameMapping&&(property.name=propertyNameMapping[property.name]),property))}}return void 0!==currentElement&&header.elements.push(currentElement),header}function parseASCIINumber(n,type){switch(type){case"char":case"uchar":case"short":case"ushort":case"int":case"uint":case"int8":case"uint8":case"int16":case"uint16":case"int32":case"uint32":return parseInt(n);case"float":case"double":case"float32":case"float64":return parseFloat(n)}}function parseASCII(result,header){for(var buffer={indices:[],vertices:[],normals:[],uvs:[],colors:[]},body="",lines=(body=null!==(result=/end_header\s([\s\S]*)$/.exec(result))?result[1]:body).split("\n"),currentElement=0,currentElementCount=0,i=0;i<lines.length;i++){var element=(element=lines[i]).trim();""!==element&&(currentElementCount>=header.elements[currentElement].count&&(currentElement++,currentElementCount=0),element=function(properties,line){for(var values=line.split(/\s+/),element={},i=0;i<properties.length;i++)if("list"===properties[i].type){for(var list=[],n=parseASCIINumber(values.shift(),properties[i].countType),j=0;j<n;j++)list.push(parseASCIINumber(values.shift(),properties[i].itemType));element[properties[i].name]=list}else element[properties[i].name]=parseASCIINumber(values.shift(),properties[i].type);return element}(header.elements[currentElement].properties,element),handleElement(buffer,header.elements[currentElement].name,element),currentElementCount++)}return postProcess(buffer)}function postProcess(buffer){var geometry=new THREE.BufferGeometry;return 0<buffer.indices.length&&geometry.setIndex(buffer.indices),geometry.setAttribute("position",new THREE.Float32BufferAttribute(buffer.vertices,3)),0<buffer.normals.length&&geometry.setAttribute("normal",new THREE.Float32BufferAttribute(buffer.normals,3)),0<buffer.uvs.length&&geometry.setAttribute("uv",new THREE.Float32BufferAttribute(buffer.uvs,2)),0<buffer.colors.length&&geometry.setAttribute("color",new THREE.Float32BufferAttribute(buffer.colors,3)),geometry.computeBoundingSphere(),geometry}function handleElement(buffer,elementName,vertex_indices){"vertex"===elementName?(buffer.vertices.push(vertex_indices.x,vertex_indices.y,vertex_indices.z),"nx"in vertex_indices&&"ny"in vertex_indices&&"nz"in vertex_indices&&buffer.normals.push(vertex_indices.nx,vertex_indices.ny,vertex_indices.nz),"s"in vertex_indices&&"t"in vertex_indices&&buffer.uvs.push(vertex_indices.s,vertex_indices.t),"red"in vertex_indices&&"green"in vertex_indices&&"blue"in vertex_indices&&buffer.colors.push(vertex_indices.red/255,vertex_indices.green/255,vertex_indices.blue/255)):"face"===elementName&&(3===(vertex_indices=vertex_indices.vertex_indices||vertex_indices.vertex_index).length?buffer.indices.push(vertex_indices[0],vertex_indices[1],vertex_indices[2]):4===vertex_indices.length&&(buffer.indices.push(vertex_indices[0],vertex_indices[1],vertex_indices[3]),buffer.indices.push(vertex_indices[1],vertex_indices[2],vertex_indices[3])))}function binaryRead(dataview,at,type,little_endian){switch(type){case"int8":case"char":return[dataview.getInt8(at),1];case"uint8":case"uchar":return[dataview.getUint8(at),1];case"int16":case"short":return[dataview.getInt16(at,little_endian),2];case"uint16":case"ushort":return[dataview.getUint16(at,little_endian),2];case"int32":case"int":return[dataview.getInt32(at,little_endian),4];case"uint32":case"uint":return[dataview.getUint32(at,little_endian),4];case"float32":case"float":return[dataview.getFloat32(at,little_endian),4];case"float64":case"double":return[dataview.getFloat64(at,little_endian),8]}}function parseBinary(data,header){for(var buffer={indices:[],vertices:[],normals:[],uvs:[],colors:[]},little_endian="binary_little_endian"===header.format,body=new DataView(data,header.headerLength),loc=0,currentElement=0;currentElement<header.elements.length;currentElement++)for(var currentElementCount=0;currentElementCount<header.elements[currentElement].count;currentElementCount++){loc+=(element=function(dataview,at,properties,little_endian){for(var element={},read=0,i=0;i<properties.length;i++)if("list"===properties[i].type){var result,list=[],n=(result=binaryRead(dataview,at+read,properties[i].countType,little_endian))[0];read+=result[1];for(var j=0;j<n;j++)result=binaryRead(dataview,at+read,properties[i].itemType,little_endian),list.push(result[0]),read+=result[1];element[properties[i].name]=list}else result=binaryRead(dataview,at+read,properties[i].type,little_endian),element[properties[i].name]=result[0],read+=result[1];return[element,read]}(body,loc,header.elements[currentElement].properties,little_endian))[1];var element=element[0];handleElement(buffer,header.elements[currentElement].name,element)}return postProcess(buffer)}var text,header,scope=this;return data instanceof ArrayBuffer?"ascii"===(header=parseHeader(text=THREE.LoaderUtils.decodeText(new Uint8Array(data)))).format?parseASCII(text,header):parseBinary(data,header):parseASCII(data,parseHeader(data))}}});